#!/bin/bash
# This is a script which will be launched by both pre-patch and post-patch.
# This script is in place to do certain pre and post patching configuration
# that need to be performed at both the places.

# Hack for creating python3 links during patching from python2 vcenters
for p in /bin/python /usr/bin/python /opt/vmware/bin/python; do
      if [  -e ${p} ]; then
             /usr/bin/rm ${p}
      fi
      /bin/ln -s /bin/python3 ${p} ;
done
